com.brightcove.cast.model

## Class CatalogParams

- java.lang.Object
- - com.brightcove.cast.model.CatalogParams

-     public class CatalogParams
      extends java.lang.Object

  The catalog details to be sent as custom data to the Cast receiver app.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `CatalogParams.AssetType` The type of asset sent to the Cast receiver app for playback.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CatalogParams(java.lang.String policyKey, java.lang.String id, CatalogParams.AssetType assetType, java.lang.String brightcoveAuthorizationToken, java.lang.String adConfigId)` Constructor.
    `CatalogParams(java.lang.String policyKey, java.lang.String id, CatalogParams.AssetType assetType, java.lang.String brightcoveAuthorizationToken, java.lang.String adConfigId, java.lang.String watermarkingToken)` Override Constructor that takes a watermarking token parameter.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CatalogParams

          public CatalogParams(java.lang.String policyKey,
                               java.lang.String id,
                               CatalogParams.AssetType assetType,
                               java.lang.String brightcoveAuthorizationToken,
                               java.lang.String adConfigId)

      Constructor.
      Parameters:
        `policyKey` - the player policy key
        `id` - the id of the asset to retrieve
        `assetType` - the type of Asset
        `brightcoveAuthorizationToken` - brightcove authorization token.

    - #### CatalogParams

          public CatalogParams(java.lang.String policyKey,
                               java.lang.String id,
                               CatalogParams.AssetType assetType,
                               java.lang.String brightcoveAuthorizationToken,
                               java.lang.String adConfigId,
                               java.lang.String watermarkingToken)

      Override Constructor that takes a watermarking token parameter.
      Parameters:
        `policyKey` - the player policy key
        `id` - the id of the asset to retrieve
        `assetType` - the type of Asset
        `brightcoveAuthorizationToken` - brightcove authorization token.